GET /recall.json
Summary: Search device recalls
Operation ID: getDeviceRecalls
Auth: unknown
Operation ID: getDeviceRecalls
Auth: unknown
Description
Access the FDA's medical device recall database containing information about voluntary and mandatory recalls of medical devices. Recalls occur when a device is defective, poses a health risk, or is both.
Parameters (4)
count
(string, query, optional)
Field to count/aggregate results by
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Search query using openFDA search syntax. Example: 'recall_status:Ongoing' to find active recalls.
skip
(integer, query, optional, default: 0)
Number of results to skip (for pagination)
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for ongoing recalls | curl |
https://api.fda.gov/device/recall.json?search=recall_status:Ongoing |
|
| Search recalls by manufacturer with limit | curl |
https://api.fda.gov/device/recall.json?search=firm_name:Medtronic&limit=5 |
|
| Count recalls by status | curl |
https://api.fda.gov/device/recall.json?count=recall_status |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:34:25.896552 | 200 | 864ms | |
| 2026-03-23 09:29:13.685330 | 404 | 872ms | |
| 2026-03-23 09:12:17.176264 | 404 | 846ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:34:25.896552 | 57b1e7534d00 |
69130e161f9f |